elm::naviframe Struct Reference

Public Member Functions
elm::naviframe Struct Reference

Class naviframe. More...

## Public Member Functions
| naviframe (Eo *eo)
| Eo Constructor. More...
| naviframe (std::nullptr_t)
| nullptr_t Constructor. More...
| naviframe (naviframe const &other)
| Copy Constructor.
::elm::widget_item | item_insert_before (::elm::widget_item before_, ::efl::eina::optional< ::efl::eina::string_view > title_label_, ::evas::object prev_btn_, ::evas::object next_btn_, ::evas::object content_, ::efl::eina::optional< ::efl::eina::string_view > item_style_) const
::elm::widget_item | item_push (::efl::eina::optional< ::efl::eina::string_view > title_label_, ::evas::object prev_btn_, ::evas::object next_btn_, ::evas::object content_, ::efl::eina::optional< ::efl::eina::string_view > item_style_) const
void | item_simple_promote (::evas::object content_) const
::elm::widget_item | item_insert_after (::elm::widget_item after_, ::efl::eina::optional< ::efl::eina::string_view > title_label_, ::evas::object prev_btn_, ::evas::object next_btn_, ::evas::object content_, ::efl::eina::optional< ::efl::eina::string_view > item_style_) const
| naviframe (::efl::eo::parent_type _p)
| Constructs a new elm::naviframe object. More...

## Detailed Description

Class naviframe.

## Constructor & Destructor Documentation

## ◆ naviframe() [1/3]

elm::naviframe::naviframe | ( | ::efl::eo::parent_type | _p | ) |
| inlineexplicit

Constructs a new elm::naviframe object.

Constructs a new elm::naviframe object. If you want this object to be a child of another Eo object, use an efl::eo::parent expression, like the example.

Example:

elm::naviframe my_naviframe(efl::eo::parent = parent_object);

See also
  naviframe(Eo* eo)

## ◆ naviframe() [2/3]

elm::naviframe::naviframe | ( | Eo * | eo | ) |
| inlineexplicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

## ◆ naviframe() [3/3]

elm::naviframe::naviframe | ( | std::nullptr_t |  | ) |
| inlineexplicit

nullptr_t Constructor.

Constructs an empty (null) object.

## Member Function Documentation

## ◆ item_insert_after()

::elm::widget_item elm::naviframe::item_insert_after | ( | ::elm::widget_item | after_,
|  | ::efl::eina::optional< ::efl::eina::string_view > | title_label_,
|  | ::evas::object | prev_btn_,
|  | ::evas::object | next_btn_,
|  | ::evas::object | content_,
|  | ::efl::eina::optional< ::efl::eina::string_view > | item_style_
| ) |  | const

Parameters

  after |
  title_label |
  prev_btn |
  next_btn |
  content |
  item_style |

## ◆ item_insert_before()

::elm::widget_item elm::naviframe::item_insert_before | ( | ::elm::widget_item | before_,
|  | ::efl::eina::optional< ::efl::eina::string_view > | title_label_,
|  | ::evas::object | prev_btn_,
|  | ::evas::object | next_btn_,
|  | ::evas::object | content_,
|  | ::efl::eina::optional< ::efl::eina::string_view > | item_style_
| ) |  | const

Parameters

  before |
  title_label |
  prev_btn |
  next_btn |
  content |
  item_style |

## ◆ item_push()

::elm::widget_item elm::naviframe::item_push | ( | ::efl::eina::optional< ::efl::eina::string_view > | title_label_,
|  | ::evas::object | prev_btn_,
|  | ::evas::object | next_btn_,
|  | ::evas::object | content_,
|  | ::efl::eina::optional< ::efl::eina::string_view > | item_style_
| ) |  | const

Parameters

  title_label |
  prev_btn |
  next_btn |
  content |
  item_style |

## ◆ item_simple_promote()

void elm::naviframe::item_simple_promote | ( | ::evas::object | content_ | ) | const

Parameters

  content |